Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class ValueMappingInfo

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingInfo
          org.apache.openjpa.jdbc.meta.ValueMappingInfo

All Implemented Interfaces:
  Serializable

    public class ValueMappingInfo

extends MappingInfo

Information about the mapping from a field value to the schema, in raw form. The columns and tables used in mapping info will not be part of the `SchemaGroup` used at runtime. Rather, they will be structs with the relevant pieces of information filled in.

Author:
  Abe White
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`MappingInfo.ForeignKeyDefaults, MappingInfo.TableDefaults`

Field Summary

Fields inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`JOIN_FORWARD, JOIN_INVERSE, JOIN_NONE`

Constructor Summary
`ValueMappingInfo()`

Method Summary
`boolean` | `canIndicateNull()` Whether user has explicitly turned null indicator column off.
`protected void` | `clear(boolean canFlags)` Clear mapping information.
`void` | `copy(MappingInfo info)` Copy missing info from the instance to this one.
`int` | `findTargetField(Column[] tmplates, String target)` Return the position of the template column with the given target field.
`Column[]` | `getColumns(ValueMapping val, DBIdentifier name, Column[] tmplates, Table table, boolean adapt)`
`Column[]` | `getColumns(ValueMapping val, String name, Column[] tmplates, Table table, boolean adapt)` Deprecated.
`Index` | `getIndex(ValueMapping val, DBIdentifier name, boolean adapt)`
`Index` | `getIndex(ValueMapping val, String name, boolean adapt)` Deprecated.
`ForeignKey` | `getInverseTypeJoin(ValueMapping val, DBIdentifier name, boolean adapt)`
`ForeignKey` | `getInverseTypeJoin(ValueMapping val, String name, boolean adapt)` Deprecated.
`List<Column>` | `getMapsIdColumns()` Raw column data.
`Column` | `getNullIndicatorColumn(ValueMapping val, DBIdentifier name, Table table, boolean adapt)`
`Column` | `getNullIndicatorColumn(ValueMapping val, String name, Table table, boolean adapt)` Deprecated.
`Table` | `getTable(ValueMapping val)`
`ForeignKey` | `getTypeJoin(ValueMapping val, DBIdentifier name, boolean inversable, boolean adapt)`
`ForeignKey` | `getTypeJoin(ValueMapping val, String name, boolean inversable, boolean adapt)` Deprecated.
`Unique` | `getUnique(ValueMapping val, DBIdentifier name, boolean adapt)`
`Unique` | `getUnique(ValueMapping val, String name, boolean adapt)` Deprecated.
`boolean` | `getUseClassCriteria()` Whether to use class criteria when joining to related type.
`void` | `setCanIndicateNull(boolean ind)` Whether user has explicitly turned null indicator column off.
`void` | `setMapsIdColumns(List<Column> cols)` Raw column data.
`void` | `setUseClassCriteria(boolean criteria)` Whether to use class criteria when joining to related type.
`void` | `syncWith(ValueMapping val)` Synchronize internal information with the mapping data for the given value.

Methods inherited from class org.apache.openjpa.jdbc.meta.MappingInfo
`assertNoForeignKey, assertNoIndex, assertNoJoin, assertNoSchemaComponents, assertNoUnique, assertStrategy, canForeignKey, canIndex, canMerge, canUnique, clear, createColumns, createForeignKey, createIndex, createTable, createTable, createUnique, getColumnIO, getColumns, getColumns, getColumns, getForeignKey, getIndex, getJoinDirection, getStrategy, getUnique, hasSchemaComponents, isImplicitRelation, mergeColumn, setCanForeignKey, setCanIndex, setCanUnique, setColumnIO, setColumns, setForeignKey, setImplicitRelation, setIndex, setJoinDirection, setStrategy, setUnique, syncColumn, syncColumns, syncForeignKey, syncIndex, syncUnique`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMappingInfo

    public ValueMappingInfo()

Method Detail

### getUseClassCriteria

    public boolean getUseClassCriteria()

  Whether to use class criteria when joining to related type.

### setUseClassCriteria

    public void setUseClassCriteria(boolean criteria)

  Whether to use class criteria when joining to related type.

### canIndicateNull

    public boolean canIndicateNull()

  Whether user has explicitly turned null indicator column off.

### setCanIndicateNull

    public void setCanIndicateNull(boolean ind)

  Whether user has explicitly turned null indicator column off.

### getTypeJoin

    public ForeignKey getTypeJoin(ValueMapping val,
                                  String name,
                                  boolean inversable,
                                  boolean adapt)

  Deprecated.

  Return the join from this value to its related type.

  Parameters:
    `name` - base name for value mapping
    `inversable` - whether an inverse join is allowed

### getTypeJoin

    public ForeignKey getTypeJoin(ValueMapping val,
                                  DBIdentifier name,
                                  boolean inversable,
                                  boolean adapt)

### getTable

    public Table getTable(ValueMapping val)

### getInverseTypeJoin

    public ForeignKey getInverseTypeJoin(ValueMapping val,
                                         String name,
                                         boolean adapt)

  Deprecated.

  Return the join from the related type to this value.

### getInverseTypeJoin

    public ForeignKey getInverseTypeJoin(ValueMapping val,
                                         DBIdentifier name,
                                         boolean adapt)

### getColumns

    public Column[] getColumns(ValueMapping val,
                               String name,
                               Column[] tmplates,
                               Table table,
                               boolean adapt)

  Deprecated.

  Return the columns for this value, based on the given templates.

### getColumns

    public Column[] getColumns(ValueMapping val,
                               DBIdentifier name,
                               Column[] tmplates,
                               Table table,
                               boolean adapt)

### findTargetField

    public int findTargetField(Column[] tmplates,
                               String target)

  Return the position of the template column with the given target field.

### getUnique

    public Unique getUnique(ValueMapping val,
                            String name,
                            boolean adapt)

  Deprecated.

  Return a unique constraint for the given columns, or null if none.

### getUnique

    public Unique getUnique(ValueMapping val,
                            DBIdentifier name,
                            boolean adapt)

### getIndex

    public Index getIndex(ValueMapping val,
                          String name,
                          boolean adapt)

  Deprecated.

  Return an index for the given columns, or null if none.

### getIndex

    public Index getIndex(ValueMapping val,
                          DBIdentifier name,
                          boolean adapt)

### getNullIndicatorColumn

    public Column getNullIndicatorColumn(ValueMapping val,
                                         String name,
                                         Table table,
                                         boolean adapt)

  Deprecated.

  Return the null indicator column for this value, or null if none.

### getNullIndicatorColumn

    public Column getNullIndicatorColumn(ValueMapping val,
                                         DBIdentifier name,
                                         Table table,
                                         boolean adapt)

### syncWith

    public void syncWith(ValueMapping val)

  Synchronize internal information with the mapping data for the given value.

### clear

    protected void clear(boolean canFlags)

  Description copied from class: `MappingInfo`
  Clear mapping information.

  Overrides:
    `clear` in class `MappingInfo`
  Parameters:
    `canFlags` - whether to clear information about whether we can place indexed, foreign keys, etc on this mapping

### copy

    public void copy(MappingInfo info)

  Description copied from class: `MappingInfo`
  Copy missing info from the instance to this one.

  Overrides:
    `copy` in class `MappingInfo`

### getMapsIdColumns

    public List<Column> getMapsIdColumns()

  Raw column data.

### setMapsIdColumns

    public void setMapsIdColumns(List<Column> cols)

  Raw column data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.